运行到手机的app版本号与代码中的版本不一致

原创 2016年08月31日 10:13:28

刚刚从外包手里接过一个项目,源码一运行,结果提示更新,发现版本号是1.0但是源码中布局文件的版本号显示是1.0.9,什么情况?
这是由于gradle里面的版本号依然是1.0,解决办法:
1)把gradle中version name和version code删掉此时就默认布局文件中生效了
2)或是把gradle中的version name和version code 改为与布局文件一致

推荐第二种

版权声明:本文为博主原创文章,未经博主允许不得转载。 举报

相关文章推荐

同样的Python代码在PyCharm和Pydev里面的运行结果不一致

PyCharm和Pydev下运行相同Python代码的不同不结果,并分析原因。

Android支持库版本不一致而出现的奇怪bug

错误信息如下:12-26 23:08:15.983 1355-1355/com.example.recyclerviewtest E/InputEventReceiver: Exception dis...

我是如何成为一名python大咖的?

人生苦短,都说必须python,那么我分享下我是如何从小白成为Python资深开发者的吧。2014年我大学刚毕业..

Hadoop本地库与系统版本不一致引起的错误解决方法

部署Hadoop的集群环境为  操作系统 CentOS 5.8    hadoop版本为cloudera   hadoop-0.20.2-cdh3u3 集群中设置支持gzip lzo压...

JDK 和JRE 解决版本不一致问题

之前用Myeclipse编译运行Java没有问题 但是突然想用简单点的NotePad++以及cmd直接编译运行Java 这就让我倒腾了一晚上 先说下问题的解决,再总结下查阅的一些知识...

Hadoop本地库与系统版本不一致引起的错误解决方法

Hadoop本地库与系统版本不一致引起的错误解决方法 来源:Linux公社  作者:jiedushi 部署Hadoop的集群环境为操作系统 CentOS 5.8    hadoop版本为c...
  • bdjc
  • bdjc
  • 2014-01-07 11:15
  • 560

java.lang.UnsupportedClassVersionError jar版本不一致错误

问题: 这种错误的全部报错信息: java.lang.UnsupportedClassVersionError: org/apache/lucene/store/Directory : Uns...
返回顶部
收藏助手
不良信息举报
您举报文章:深度学习:神经网络中的前向传播和反向传播算法推导
举报原因:
原因补充:

(最多只允许输入30个字)